Get specific cash payment
curl --request GET \
--url https://business-api.onboard.xyz/ledger/cash-payments/{reference} \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/cash-payments/{reference}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/cash-payments/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"currency": "USD",
"status": "PENDING",
"payoutCurrency": "NGN",
"amount": 100,
"rate": 1450.75,
"payoutAmount": 145075,
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountName": "John Doe",
"beneficiaryType": "BeneficiaryLocalBankAccount",
"accountIdentifier": "230101010",
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"bankName": "Great Bank LLC",
"country": "IE"
},
"createdDate": "2023-11-07T05:31:56Z",
"accountTransactionId": "<string>",
"providerReference": "PROV123456"
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}Cash Payouts
Get Cash Payout
Get specific cash payment by reference
GET
/
ledger
/
cash-payments
/
{reference}
Get specific cash payment
Fetches a single cash payout by reference.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
Response
cash payment details
Details of a cash payment transaction.
Reference for the cash payment transaction at initiation.
Currency in which the account was debited.
Example:
"USD"
Status of the transaction, indicating its current state in the processing lifecycle.
- PENDING: The transaction has been created but not yet processed.
- IN_PROGRESS: The transaction is currently being processed.
- FAILED: The transaction processing has failed.
- SUCCESS: The transaction has been successfully processed.
Available options:
PENDING, IN_PROGRESS, FAILED, SUCCESS Currency in which the beneficiary will be paid out.
Example:
"NGN"
Amount transferred.
Example:
100
Exchange rate applied for this transfer.
Example:
1450.75
Amount paid out to the beneficiary in payout currency.
Example:
145075
Basic information about a beneficiary as at the time of transaction.
Show child attributes
Show child attributes
Identifier of the transaction on the account.
Reference provided by the cash payment provider.
Example:
"PROV123456"